### Function

# Gimp file_save

#### Declaration [src]

    gboolean
    gimp_file_save (
      GimpRunMode run_mode,
      GimpImage* image,
      gint num_drawables,
      const GimpItem** drawables,
      GFile* file
    )

#### Description [src]

Saves a file by extension.

This procedure invokes the correct file save handler according to the file’s extension and/or prefix.

#### Parameters

`run_mode` | `GimpRunMode`
| The run mode.
`image` | `GimpImage`
| Input image.
| The data is owned by the caller of the function.
`num_drawables` | `gint`
| The number of drawables to save.
`drawables` | An array of `None`
| Drawables to save.
| The length of the array is specified in the `num_drawables` argument.
| The data is owned by the caller of the function.
`file` | `GFile`
| The file to save the image in.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.